if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[up_EntryAdd]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[up_EntryAdd]
GO

CREATE  proc up_EntryAdd
as
SET NOCOUNT ON
------------------------------------
/*
CreateDate: 		2006-03-15
CreateBy:		DEXLEAP.COM
CreatePurpose:

(1)Add an archive entry (create a new entry id)
(3)Return the just created archive entry id.

RevisDate:
ReviseBy:
ReviseReason:
*/
------------------------------------
------------------------------------
--Customize Declaration
------------------------------------
Declare
	@ixArchiveEntry int
------------------------------------
--Customize Initialize
------------------------------------

------------------------------------
--Main Logic
------------------------------------
Insert into tdatArchiveEntry
(
	dtCreate,
	nIndexStatus
	
)
values
(
	getdate(),
	--don't index
	0
)
--get the just created ixArchiveEntry
Select
	@ixArchiveEntry  = @@identity

------------------------------------
--OutPut
------------------------------------
Select
	@ixArchiveEntry


