if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[up_WordIndexProgress]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[up_WordIndexProgress]
GO

CREATE  Proc up_WordIndexProgress
as
SET NOCOUNT ON
------------------------------------
/*
CreateDate: 		2006-03-09
CreateBy:		DEXLEAP.COM
CreatePurpose:
(1)Show Total/Indexed ratio, Show the current indexing entry
RevisDate:
ReviseBy:
ReviseReason:
*/
------------------------------------
------------------------------------
--Customize Declaration
------------------------------------
Declare
	@cntTotal int,
	@cntIndexed int,
	@ixIndexing int
------------------------------------
--Customize Initialization
------------------------------------
------------------------------------
--Main Logic
------------------------------------
Select
	@cntTotal = count(*)
From
	tdatArchiveEntry

--Entries have been indexed
Select
	@cntIndexed = count(*)
From
	tdatArchiveEntry
Where
	nIndexStatus = 3
--Entrie is indexing
Select
	@ixIndexing = ixArchiveEntry
From
	tdatArchiveEntry
Where
	nIndexStatus = 2

------------------------------------
--OutPut
------------------------------------
Select
	isnull(@cntTotal,0) as cntTotal,
	isnull(@cntIndexed,0) as cntIndexed,
	isnull(@ixIndexing,0) as ixIndexing
	

